Subject: bug#39577: 27.0.60; Assertion failed during compilation

From: Henrik Grimler <[email-masked]>
Date: Tue, 18 Feb 2020 16:49:41 +0100

On Mon, 2020-02-17 at 12:53 -0800, Paul Eggert wrote:
> I installed the attached patch into master, to work around the 
> getloadavg-related assertion failure. However, I don't think this
> fixes the 
> actual bug.

Thanks, will try a new build tonight.

> > This android version does not have getloadavg (so I guess
> > lib/getloadavg.c is used instead?)
> 
> If so, you should be able to step through the replacement getloadavg
> and see why 
> it's reporting bogus values. I have the sneaking suspicion that
> floating point 
> isn't working properly, and that it's treating tiny numbers as NaNs
> or vice 
> versa. But this bug is relatively unimportant.

Yeah, I will investigate it more when I have some time and report back
here. 

> The main problem here seems to be the sigsetjmp-related bug. You
> might try 
> putting a breakpoint on handle_sigsegv before running Emacs; that
> might give you 
> a better backtrace.

After Eli suggested that the problem is indeed in the sigsetjmp
function I configured emacs with 

```
emacs_cv_func__setjmp=no 
emacs_cv_func_sigsetjmp=no
```

and it seems to have helped (5 days without segfaults now). Setting
only one of the two does not help. This seems like an acceptable
workaround in my case, but maybe it causes some other side effects I am
yet to encounter(?).

Thanks for the hint about breakpoint on handle_sigsegv, I will see if I
can learn more about what is actaully happening.